com.sun.syndication.io

## Interface ModuleGenerator

All Known Subinterfaces:
  DelegatingModuleGenerator

All Known Implementing Classes:
  DCModuleGenerator, SyModuleGenerator

    public interface ModuleGenerator

Injects module metadata into a XML node (JDOM element).

ModuleGenerator instances must thread safe.

TODO: explain how developers can plugin their own implementations.

### Method Summary

Methods
`void` `generate(Module module, org.jdom.Element element)` Generates and injects module metadata into an XML node (JDOM element).
`java.util.Set` `getNamespaces()` Returns a set with all the URIs (JDOM Namespace elements) this module generator uses.
`java.lang.String` `getNamespaceUri()` Returns the namespace URI this generator handles.

### Method Detail

#### getNamespaceUri

    java.lang.String getNamespaceUri()

Returns the namespace URI this generator handles.

Returns:
  the namespace URI.

#### getNamespaces

    java.util.Set getNamespaces()

Returns a set with all the URIs (JDOM Namespace elements) this module generator uses.

It is used by the the feed generators to add their namespace definition in the root element of the generated document (forward-missing of Java 5.0 Generics).

Returns:
  a set with all the URIs (JDOM Namespace elements) this module generator uses.

#### generate

    void generate(Module module,
                org.jdom.Element element)

Generates and injects module metadata into an XML node (JDOM element).

Parameters:
  `module` - the module to inject into the XML node (JDOM element).
  `element` - the XML node into which module meta-data will be injected.